#
# spec file for package lit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lit
Version:        0.5.1
Release:        bp153.1.14
Summary:        A portable tool for executing test suites
License:        NCSA
Group:          Development/Tools/Other
URL:            http://llvm.org/cmds/lit.html
Source0:        https://files.pythonhosted.org/packages/source/l/lit/lit-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-base
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
Lit is a portable tool for executing LLVM and Clang style test suites,
summarizing their results, and providing indication of failures. Lit is
designed to be a lightweight testing tool with as simple a user interface
as possible/

%prep
%setup -q

%build
%python3_build

%install
%python3_install
%fdupes %{buildroot}%{python3_sitelib}

%files
%doc README.txt
%{_bindir}/lit
%{python3_sitelib}/*

%changelog
* Fri Dec 22 2017 mpluskal@suse.com
- Update to version 0.5.1:
  * No changelog available
- Convert to singlespec
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Sun Oct 26 2014 idonmez@suse.com
- Update to version 0.4.1
  * No changelog upstream
* Fri Jul 11 2014 idonmez@suse.com
- Initial release for build.opensuse.org
